/* pmx/edge.fsh */
#ifdef GL_ES
precision highp float;
#endif
#if __VERSION__ < 130
#define in varying
#define outPixelColor gl_FragColor
#else
out vec4 outPixelColor;
#endif

uniform vec3 lightColor;
uniform float opacity;
in vec4 outColor;

void main() {
    vec4 color = outColor;
    color.rgb *= lightColor;
    color.a *= opacity;
    outPixelColor = color;
}

