/* pmx/edge.vsh */
#ifdef GL_ES
precision highp float;
#endif
#if __VERSION__ < 130
#define in attribute
#define out varying
#endif
uniform mat4 modelViewProjectionMatrix;
uniform vec4 color;
uniform float edgeSize;
in vec3 inPosition;
in vec3 inNormal;
out vec4 outColor;
const float kOne = 1.0;

void main() {
    outColor = color;
    gl_Position = modelViewProjectionMatrix * vec4(inPosition + inNormal * edgeSize, kOne);
}

