/* pmx/shadow.fsh */
#ifdef GL_ES
precision highp float;
#endif
#if __VERSION__ < 130
#define in varying
#define outPixelColor gl_FragColor
#else
out vec4 outPixelColor;
#endif
uniform vec3 lightColor;

void main() {
    vec4 color = vec4(lightColor * 0.6, 0.6);
    outPixelColor = color;
}
