MMDAgent = MMDAgent or {}

MMDAgent.SENSOR_TYPE_ACCELEROMETER  = 1
MMDAgent.SENSOR_TYPE_MAGNETIC_FIELD = 2
MMDAgent.SENSOR_TYPE_ORIENTATION    = 3
MMDAgent.SENSOR_TYPE_GYROSCOPE      = 4
MMDAgent.SENSOR_TYPE_LIGHT          = 5
MMDAgent.SENSOR_TYPE_PRESSURE       = 6
MMDAgent.SENSOR_TYPE_TEMPERATURE    = 7
MMDAgent.SENSOR_TYPE_PROXIMITY      = 8
MMDAgent.SENSOR_TYPE_ALL            = -1

MMDAgent.SENSOR_DELAY_FASTEST = 0
MMDAgent.SENSOR_DELAY_GAME    = 1
MMDAgent.SENSOR_DELAY_UI      = 2
MMDAgent.SENSOR_DELAY_NORMAL  = 3

-- oCu[g
function MMDAgent.vibrate(time)
  MMDAgent.sendMessage("VIBRATE", time)
end

-- ZT[̗L
function MMDAgent.sensorOn(type, delay)
  MMDAgent.sendMessage("SENSOR_ON", type.."|"..delay)
end

-- ZT[̖
function MMDAgent.sensorOff(type)
  MMDAgent.sendMessage("SENSOR_OFF", tostring(type))
end

-- CegM
Intent = Intent or {}
function Intent.sendFile(type, file)
  MMDAgent.sendMessage("INTENT_SENDFILE", type.."|"..file)
end

-- CegM
function Intent.fileSelect(alias, type)
  MMDAgent.sendMessage("INTENT_SELECTFILE", alias.."|"..type)
end