local instance = {}

local MODEL_ALIAS

local function delete()
  MMDAgent.deleteMessageListeners("BREATHE_LIFE"..MODEL_ALIAS)
end

-- まばたき

local function mabataki_start()
  MMDAgent.morph(MODEL_ALIAS, "まばたき", 0.7, 0.05)
  MMDAgent.sendMessage("TIMER_START", "MABATAKI_END_"..MODEL_ALIAS.."|0.2")
end

local function mabataki_end()
  MMDAgent.morph(MODEL_ALIAS, "まばたき", 0, 0.05)
  MMDAgent.sendMessage("TIMER_START", "MABATAKI_START_"..MODEL_ALIAS.."|"..math.random(1, 4))
end

instance.setModel = function(alias)
  MODEL_ALIAS = alias
  
  -- 呼吸
  MMDAgent.addMotion(MODEL_ALIAS, 'breath', LOCAL_PATH..'/breath.vmd', MMDAgent.FULL, MMDAgent.LOOP, MMDAgent.ON, MMDAgent.OFF)
  -- まばたき
  MMDAgent.addMessageListener("BREATHE_LIFE_"..MODEL_ALIAS, "TIMER_EVENT_STOP", "MABATAKI_START_"..MODEL_ALIAS, mabataki_start)
  MMDAgent.addMessageListener("BREATHE_LIFE_"..MODEL_ALIAS, "TIMER_EVENT_STOP", "MABATAKI_END_"..MODEL_ALIAS, mabataki_end)
  
  -- 解放
  MMDAgent.addMessageListener("BREATHE_LIFE_"..MODEL_ALIAS, "MODEL_EVENT_DELETE", MODEL_ALIAS, delete)
  
  mabataki_start()
end

return instance