#ifdef IMAGE_EXTERNAL
#extension GL_OES_EGL_image_external : require
#endif

#ifdef GL_ES
precision highp float;
#endif

#if __VERSION__ < 130
#define in varying
#define outPixelColor gl_FragColor
#define texture(samp, uv) texture2D((samp), (uv))
#else
out vec4 outPixelColor;
#endif

in vec2 outTexCoord;

#ifdef IMAGE_EXTERNAL
uniform samplerExternalOES u_texture;
#else
uniform sampler2D u_texture;
#endif

void main() {
    outPixelColor = texture(u_texture, outTexCoord);
}
