#ifdef GL_ES
precision highp float;
#endif

uniform sampler2D texture;
uniform vec2      offset[9];
uniform float     weight[10];

varying vec2      outTexCoord;

const vec4 kOne4 = vec4(0.0, 0.0, 0.0, 0.0);

void main(void){
	vec4  destColor = kOne4;
	
  destColor += texture2D(texture, outTexCoord - offset[0]) * weight[1];
  destColor += texture2D(texture, outTexCoord - offset[1]) * weight[2];
  destColor += texture2D(texture, outTexCoord - offset[2]) * weight[3];
  destColor += texture2D(texture, outTexCoord - offset[3]) * weight[4];
  destColor += texture2D(texture, outTexCoord - offset[4]) * weight[5];
  destColor += texture2D(texture, outTexCoord - offset[5]) * weight[6];
  destColor += texture2D(texture, outTexCoord - offset[6]) * weight[7];
  destColor += texture2D(texture, outTexCoord - offset[7]) * weight[8];
  destColor += texture2D(texture, outTexCoord - offset[8]) * weight[9];
  destColor += texture2D(texture, outTexCoord            ) * weight[0];
  destColor += texture2D(texture, outTexCoord + offset[8]) * weight[9];
  destColor += texture2D(texture, outTexCoord + offset[7]) * weight[8];
  destColor += texture2D(texture, outTexCoord + offset[6]) * weight[7];
  destColor += texture2D(texture, outTexCoord + offset[5]) * weight[6];
  destColor += texture2D(texture, outTexCoord + offset[4]) * weight[5];
  destColor += texture2D(texture, outTexCoord + offset[3]) * weight[4];
  destColor += texture2D(texture, outTexCoord + offset[2]) * weight[3];
  destColor += texture2D(texture, outTexCoord + offset[1]) * weight[2];
  destColor += texture2D(texture, outTexCoord + offset[0]) * weight[1];
    
	gl_FragColor = destColor;
}