local mainTexture = MMDAgent.getTexture2D("MAIN")

local fbo = MMDAgent.createFBO()
fbo:attachTexture(0, mainTexture)

local gaussian = dofile(LOCAL_PATH.."/gaussian.lua")
gaussian.setTexture(mainTexture)

local instance = {}

instance.render = function()
  fbo:bind()
  gaussian.render()
  fbo:unbind()
end

instance.setRange = function(value)
  gaussian.setRange(value)
end

return instance