local mainTexture = MMDAgent.getTexture2D("MAIN")
local fbo = MMDAgent.createFBO()
fbo:attachTexture(0, mainTexture)

local overlay = dofile(LOCAL_PATH.."/overlay.lua")
overlay.setTexture(mainTexture, mainTexture)

local instance = {}

instance.render = function()
  fbo:bind()
  overlay.render()
  fbo:unbind()
end

return instance