/* pmx/zplot.vsh */
#ifdef GL_ES
precision highp float;
#endif
#if __VERSION__ < 130
#define in attribute
#define out varying
#endif
uniform mat4 modelViewProjectionMatrix;
uniform float pointSize;
in vec3 inPosition;
const float kOne = 1.0;

void main() {
    gl_Position = modelViewProjectionMatrix * vec4(inPosition, kOne);
    gl_PointSize = pointSize;
}

